Loading...
Searching...
No Matches
psa_mac_operation_s Struct Reference

`#include <crypto_struct.h>`

Collaboration diagram for psa_mac_operation_s:
[legend]

## Data Fields

unsigned int | private_id
uint8_t | private_mac_size
unsigned int | private_is_sign: 1
psa_driver_mac_context_t | private_ctx

## Detailed Description

Definition at line 131 of file crypto_struct.h.

## Field Documentation

## private_ctx

psa_driver_mac_context_t psa_mac_operation_s::private_ctx

Definition at line 144 of file crypto_struct.h.

## private_id

unsigned int psa_mac_operation_s::private_id

Unique ID indicating which driver got assigned to do the operation. Since driver contexts are driver-specific, swapping drivers halfway through the operation is not supported. ID values are auto-generated in psa_driver_wrappers.h ID value zero means the context is not valid or not assigned to any driver (i.e. none of the driver contexts are active).

Definition at line 141 of file crypto_struct.h.

## private_is_sign

unsigned int psa_mac_operation_s::private_is_sign

Definition at line 143 of file crypto_struct.h.

## private_mac_size

uint8_t psa_mac_operation_s::private_mac_size

Definition at line 142 of file crypto_struct.h.

The documentation for this struct was generated from the following file:

- crypto_struct.h